> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mrassistant.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Run Agent Turn

> Run an agent turn (internal endpoint for orchestrator).



## OpenAPI

````yaml https://api.mrassistant.ai/openapi.json post /voice/agents/run
openapi: 3.1.0
info:
  title: Backend - Multilingual Voice Agent System
  description: FastAPI backend for multilingual voice agents with tool use
  version: 1.0.0
servers: []
security: []
paths:
  /voice/agents/run:
    post:
      tags:
        - voice
      summary: Run Agent Turn
      description: Run an agent turn (internal endpoint for orchestrator).
      operationId: run_agent_turn_voice_agents_run_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AgentRunRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AgentRunResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    AgentRunRequest:
      properties:
        agent_id:
          type: string
          format: uuid
          title: Agent Id
        conversation_id:
          type: string
          title: Conversation Id
        text:
          type: string
          title: Text
        context:
          additionalProperties: true
          type: object
          title: Context
      type: object
      required:
        - agent_id
        - conversation_id
        - text
        - context
      title: AgentRunRequest
      description: Agent run request model.
    AgentRunResponse:
      properties:
        response_text:
          type: string
          title: Response Text
        tool_invocations:
          items:
            $ref: '#/components/schemas/ToolInvocation'
          type: array
          title: Tool Invocations
          default: []
      type: object
      required:
        - response_text
      title: AgentRunResponse
      description: Agent run response model.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ToolInvocation:
      properties:
        tool_key:
          type: string
          title: Tool Key
        name:
          type: string
          title: Name
        idempotency_key:
          type: string
          title: Idempotency Key
        args:
          additionalProperties: true
          type: object
          title: Args
        ui_confirm:
          type: boolean
          title: Ui Confirm
          default: false
      type: object
      required:
        - tool_key
        - name
        - idempotency_key
        - args
      title: ToolInvocation
      description: Tool invocation model.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````